<?php

class Migration_20250709000552_alter_table_subscription
{
    public static function up(PDO $pdo)
    {
        $pdo->exec("
            ALTER TABLE `subscription_pricings`
            ADD COLUMN `msrp_sub_fee` VARCHAR(10) DEFAULT '0' AFTER `door_add`,
            ADD COLUMN `msrp_camera_add` VARCHAR(10) DEFAULT '0' AFTER `msrp_sub_fee`,
            ADD COLUMN `msrp_number_add` VARCHAR(10) DEFAULT '0' AFTER `msrp_camera_add`,
            ADD COLUMN `msrp_door_add` VARCHAR(10) DEFAULT '0' AFTER `msrp_number_add`
        ");
    }

    public static function down(PDO $pdo)
    {
        $pdo->exec("
            ALTER TABLE `subscription_pricings`
            DROP COLUMN `msrp_sub_fee`,
            DROP COLUMN `msrp_camera_add`,
            DROP COLUMN `msrp_number_add`,
            DROP COLUMN `msrp_door_add`,
        ");
    }
}